Skip to main content
menu page home pagesearch bar

System Requirements



Page contents:  Essential requirements  |  Recommended software for use with this e-study guide  |  Technical support

 

Essential requirements

The recommended computer system specification for running your courseware is a Pentium PC with a reasonably fast processsor speed and a minimum of 64 megabytes of RAM. Your PC should be equipped with:

In order to use your courseware properly you will need to have installed versions of the following software, which are included on this e-study guide:

IMPORTANT NOTICE: The Centre for Development, Environment and Policy (CeDEP), SOAS assumes no responsibility for damage that may be caused to your computer by any of the files included on this e-study guide or downloaded from the links below. It is highly recommended that you (a) backup any valuable data, and (b) get a good antivirus program and check all files before installing them on your computer. If you are in any doubt on how to proceed, you should seek reliable advice before installing software.
The software on this e-study guide is for the Windows platform only.
If you are using a Macintosh, or any other operating system, you are advised to visit the vendor's websites to obtain the latest versions of software for your computer.
Software vendor websites:
Mozilla Firefox (highly recommended) opens in a new window
Adobe Acrobat Reader opens in a new window
Adobe Flash Player opens in a new window
Microsoft Internet Explorer opens in a new window
Microsoft Windows Media Player opens in a new window
Apple Quicktime Player opens in a new window

 


Software recommended for use with this e-study guide

If you have a recent version of Firefox (e.g. version 10.x or later) or Internet Explorer (8.x or later) installed on your computer you should not need to install Internet Explorer or the Flash player. The Adobe Readers are required for displaying and printing the PDF files that form the study guide. (Note: The latest versions of Adobe Reader, version 7 onwards, supercede Adobe eBook Reader, and provide a greater range of tools to support working with the 'pdf' file format). You should check to see if you already have this software before installing it.

 

Important Configuration Tip: For your course files to display correctly in your browser software 'JavaScript' should be turned on. This can be done by accessing the "Internet Options" option on your browser (it's probably located in the 'Tools' menu if using Firefox or Internet Explorer), and make sure that:

  1. For Firefox, 'Content' tab is selected where you can tick the box to enable JavaScript, or
  2. For Internet Explorer, the "Internet" zone is highlighted. Click on the "Custom Level..." button to bring up the security options for your browser. Search through the menu for the "Active scripting" option. Make sure "Enable" is selected. Click the "OK" button.

You may use later versions of the software listed above but if you use earlier versions you may run into problems, as they may not be fully compatible with the CeDEP courseware.

Details of additional software that you may find provides helpful tools to support you in your studies are provided on the 'Tools' screen.

 

Technical support

Third party software problems cannot be supported by CeDEP. However if you have any queries about the configuration or system requirements, please contact us directly or post a message into the technical support area on the Online Study Centre

Alternative software versions supported or with known compatibility problems

CeDEP has tested the courseware on a range of operating system platforms, and with different versions of software. Whilst we make no guarantees that you will not encounter problems, details from our testing are as follows:

No Problems Encountered Courseware not fully compatible

Mozilla Firefox 4+, Internet Explorer 8, Safari, Chrome and Opera running on Windows

Mozilla Firefox 4+, Internet Explorer 8, Safari, Chrome and Opera running on Mac OS X

Netscape 7+, Mozilla 1.0+ and Mozilla Firefox 1+ running on Linux

Earlier versions of IE (7 or earlier) are usable, but problems arise in displaying pages when zoomed-in (scaled up) due to IE's lack of support for Fixed Layers.

Netscape 6 running on Windows: Usable, but problems with screen layouts

IE5 running on Mac Sys 9.1

Opera 7.54 running on Windows - adequate but there is an issue related to font size issue

Netscape4 running on Mac Sys 9.1 - e-study guides with Joliet/RockRidge extenstions cannot be read on Macs prior to OS X without Joke Ridge control panel installed.




[up]